commit: 17c7017a21b618b51bccfcb3559a3ffdb8fd5f7a
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 10:45:04 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 11:24:29 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17c7017a
dev-python/setuptools_scm: Add python3.5 support
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
.../setuptools_scm/setuptools_scm-1.8.0-r1.ebuild | 26 ++++++++++++++++++++++
1 file changed, 26 insertions(+)
diff --git a/dev-python/setuptools_scm/setuptools_scm-1.8.0-r1.ebuild
b/dev-python/setuptools_scm/setuptools_scm-1.8.0-r1.ebuild
new file mode 100644
index 0000000..aa939b2
--- /dev/null
+++ b/dev-python/setuptools_scm/setuptools_scm-1.8.0-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="package to manage versions by scm tags via setuptools"
+HOMEPAGE="https://github.com/pypa/setuptools_scm
https://pypi.python.org/pypi/setuptools_scm"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+ py.test -v -v -x || die "tests failed under ${EPYTHON}"
+}